nav {
    
    padding: 1rem 2rem;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); 
    border-radius: 8px;
}


nav ul {
    list-style: none; 
    margin: 0;
    padding: 0;
    display: flex; 
    justify-content: center;
    gap: 20px; 
    background-color: white;    
    @media (max-width: 769px) {
       gap:10px;
    }
    
}


nav ul li a {
    text-decoration: none;
    color: black;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 500;
    padding: 8px 16px;
    border-radius: 5px;
    transition: all 0.3s ease; 
    background-color: darkgray; 
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.4); 
}

nav ul li a:visited {
    color:black;
}

nav ul li a:hover {
    background-color: goldenrod; 
    color: white; 
    transform: translateY(-2px); 
}